HyperTrackDocs
Workers

Update Ops Group

Update Ops Group by ops_group_handle

PATCH
/workers/ops-groups/{ops_group_handle}

Update Ops Group by ops_group_handle

Authorization

AuthorizationBasic <token>

In: header

Path Parameters

ops_group_handle*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/workers/ops-groups/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "ops_group_handle": "san-jose-store",  "ops_group_label": "store",  "timezone": "America/Los_Angeles",  "route_start_location": "ops_group_home",  "route_completion_type": "manual",  "ops_group_home": {    "geometry": {      "type": "Point",      "coordinates": [        -121.93186,        36.3570534      ]    },    "address": "1709 Automation Pkwy, San Jose, CA 95101"  },  "objective_fn": "minimise_time",  "route_capacity": 10,  "route_max_distance": 20000,  "default_shift_start_time": "07:00",  "default_shift_end_time": "19:00",  "order_tracking_mode": "manual",  "shift_availability_mode": "manual",  "order_tracking_automation": {    "type": "manual"  }}
{  "detail": {},  "message": "string"}
{  "detail": {},  "message": "string"}
{  "detail": {    "<location>": {      "<field_name>": [        "string"      ]    }  },  "message": "string"}